
COMPILER = {
    'compile': 'CC -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'debug'  : 'CC -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -g',
    'profile': 'CC -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'CC -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'debug'  : 'CC -ffast-math -mfpmath=sse -msse2 -mcmodel=medium -g',
    'profile': 'CC -O3 -ffast-math -mfpmath=sse -msse2 -mcmodel=medium',
    'libs'   : ''
}

MPI_RUN = 'aprun -n %(nprocs)d -N %(ptile)d %(cmd)s%(suffix)s'

PROFILE_PREPROC = 'pat_build -g mpi,io %(name)s'
PROFILE_SUFFIX  = '+pat'

JOB_SUBMIT = '''echo "#!/bin/bash
#SBATCH --nodes=%(nodes)d
#SBATCH --time=%(walltime)d:00:00
#SBATCH --job-name=%(name)s
ulimit -c 0
%(xopts)s
%(cmd)s" | sbatch
'''

CLUSTER = 'Palu - Cray XE6 (CSCS, Manno)'
