# -*- coding: utf-8 -*-

COMPILER = {
    'compile': 'g++ -O3 -ffast-math -mfpmath=sse -msse2',
    'debug'  : 'g++ -g -ffast-math -mfpmath=sse -msse2',
    'profile': 'g++ -g -ffast-math -mfpmath=sse -msse2 -pg',
    'libs'   : ''
}

MPI_COMPILER = {
    'compile': 'mpic++ -O3 -ffast-math -mfpmath=sse -msse2',
    'debug'  : 'mpic++ -g -ffast-math -mfpmath=sse -msse2',
    'profile': 'mpic++ -g -ffast-math -mfpmath=sse -msse2 -pg',
    'libs'   : ''
}

MPI_RUN = 'mpirun -np %(nprocs)d %(cmd)s'
