
#include "equation.h"
#include "hll_util.h"

void hll_speeds(const AllVariables &lV, const AllVariables &rV, int d, real &sl, real &sr, real &cs)
{
  sr = max( sqrt(rV.U.k / rV.U.rho), sqrt(lV.U.k / lV.U.rho) );
  sl = - sr;
}
