
#include "main.h"
#include "multi.h"

///::title:: First order Euler time stepping

void time_step()
{
  if (multi_main && isnan(t)) {
    std::cout << " :: ERROR: time is NaN." << std::endl;
    throw 1;
  }
  
  sub_step(true);
  
  #ifndef QUIET
  if (PRINT_t && multi_main) std::cout << " :: time:  t=" << t << " (dt=" << dt << ")" << std::endl;
  #endif
  
  t += dt;
}
